From 1cb003f98cdec9e272cb950aaa46f99fd21463d2 Mon Sep 17 00:00:00 2001
From: Sean Whitton <spwhitton@spwhitton.name>
Date: Sat, 6 Aug 2016 17:00:45 -0700
Subject: [PATCH] add section "Selecting the upload urgency"

Based on https://lists.debian.org/debian-devel-announce/2013/11/msg00007.html
---
 best-pkging-practices.dbk | 16 ++++++++++++++++
 debian/changelog          |  7 +++++++
 2 files changed, 23 insertions(+)

diff --git a/best-pkging-practices.dbk b/best-pkging-practices.dbk
index 1651ddb..664722e 100644
--- a/best-pkging-practices.dbk
+++ b/best-pkging-practices.dbk
@@ -462,6 +462,22 @@ linkend="upload-bugfix"/> for more information.
 </para>
 </section>
 
+<section id="bpp-changelog-urgency">
+<title>Selecting the upload urgency</title>
+<para>
+The release team have indicated that they expect most uploads to
+<literal>unstable</literal> to use <emphasis
+role="strong">urgency=medium</emphasis>.  That is, you should choose
+<emphasis role="strong">urgency=medium</emphasis> unless there is some
+particular reason for the upload to migrate to
+<literal>testing</literal> more quickly or slowly (see <xref
+linkend="testing-unstable"/>).  For example, you might select
+<emphasis role="strong">urgency=low</emphasis> if the changes since
+the last upload are large and might be disruptive in unanticipated
+ways.
+</para>
+</section>
+
 <section id="bpp-changelog-misconceptions">
 <title>Common misconceptions about changelog entries</title>
 <para>
diff --git a/debian/changelog b/debian/changelog
index 5b60efd..864269d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+developers-reference (3.4.19) UNRELEASED; urgency=medium
+
+  * Add section "Selecting the upload urgency" to best-pkging-practices
+    (Closes: #540852).
+
+ -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 Aug 2016 16:55:31 -0700
+
 developers-reference (3.4.18) unstable; urgency=medium
 
   [ Raphaël Hertzog ]
-- 
2.8.1

